Issues while starting meteor project on Windows. In mac project run smoothly for Xcode. But for windows what to do?

While loading package fourseven:scss@3.13.0:
error: Command failed: C:\WINDOWS\system32\cmd.exe /c
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\npm.cmd
rebuild --update-binary
Cannot download “https://github.com/sass/node-sass/releases/download/v3.13.0/win32-x64-57_binding.node”:

HTTP error 404 Not Found

Hint: If github.com is not accessible in your location
try setting a proxy via HTTP_PROXY, e.g.

export HTTP_PROXY=http://example.com:1234

or configure npm proxy via

npm config set proxy http://example.com:8080
gyp info it worked if it ends with ok
gyp verb cli [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\node.exe’,
gyp verb cli
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\bin\node-gyp.js’,
gyp verb cli ‘rebuild’,
gyp verb cli ‘–verbose’,
gyp verb cli ‘–libsass_ext=’,
gyp verb cli ‘–libsass_cflags=’,
gyp verb cli ‘–libsass_ldflags=’,
gyp verb cli ‘–libsass_library=’ ]
gyp info using node-gyp@3.4.0
gyp info using node@8.16.2 | win32 | x64
gyp verb command rebuild
gyp verb command clean
gyp verb clean removing “build” directory
gyp verb command configure
gyp verb check python checking for Python executable “C:\Python27\python.exe” in the PATH
gyp verb which succeeded C:\Python27\python.exe C:\Python27\python.exe
gyp verb check python version C:\Python27\python.exe -c "import platform; print(platform.python_version());"
returned: “2.7.17\r\n”
gyp verb get node dir compiling against specified --nodedir dev files:
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb build dir attempting to create “build” dir:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\build
gyp verb build dir “build” dir needed to be created?
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\build
gyp verb build/config.gypi creating config file
gyp verb build/config.gypi writing out config file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\build\config.gypi
gyp verb config.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\config.gypi
gyp verb common.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\common.gypi
gyp verb gyp gyp format was not specified; forcing “msvs”
gyp info spawn C:\Python27\python.exe
gyp info spawn args [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\gyp\gyp_main.py’,
gyp info spawn args ‘binding.gyp’,
gyp info spawn args ‘-f’,
gyp info spawn args ‘msvs’,
gyp info spawn args ‘-G’,
gyp info spawn args ‘msvs_version=auto’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-be3bv8.iz46j\node_modules\node-sass\build\config.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\addon.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\include\node\common.gypi’,
gyp info spawn args ‘-Dlibrary=shared_library’,
gyp info spawn args ‘-Dvisibility=default’,
gyp info spawn args
‘-Dnode_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle’,
gyp info spawn args
‘-Dnode_gyp_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp’,
gyp info spawn args ‘-Dnode_lib_file=node.lib’,
gyp info spawn args
‘-Dmodule_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-be3bv8.iz46j\node_modules\node-sass’,
gyp info spawn args ‘–depth=.’,
gyp info spawn args ‘–no-parallel’,
gyp info spawn args ‘–generator-output’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-be3bv8.iz46j\node_modules\node-sass\build’,
gyp info spawn args ‘-Goutput_dir=.’ ]
gyp verb command build
gyp verb build type Release
gyp verb architecture x64
gyp verb node dev dir
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb found first Solution file build/binding.sln
gyp verb could not find “msbuild.exe” in PATH - finding location in registry
gyp info spawn C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe
gyp info spawn args [ ‘build/binding.sln’,
gyp info spawn args ‘/nologo’,
gyp info spawn args ‘/p:Configuration=Release;Platform=x64’ ]
gyp ERR! build error
gyp ERR! stack Error: C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe failed with exit code: 1
gyp ERR! stack at ChildProcess.onExit
(C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\lib\build.js:276:23)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Windows_NT 10.0.18362
gyp ERR! command
“C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\node.exe”
“C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\bin\node-gyp.js”
“rebuild” “–verbose” “–libsass_ext=” “–libsass_cflags=” “–libsass_ldflags=” “–libsass_library=”
gyp ERR! cwd
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass
gyp ERR! node -v v8.16.2
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
Build failed with error code: 1
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! node-sass@3.13.0 postinstall: node scripts/build.js
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-sass@3.13.0 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\Rashad\AppData\Roaming\npm-cache_logs\2020-03-21T14_52_14_402Z-debug.log
Cannot download “https://github.com/sass/node-sass/releases/download/v3.13.0/win32-x64-57_binding.node”:

HTTP error 404 Not Found

Hint: If github.com is not accessible in your location
try setting a proxy via HTTP_PROXY, e.g.

export HTTP_PROXY=http://example.com:1234

or configure npm proxy via

npm config set proxy http://example.com:8080
gyp info it worked if it ends with ok
gyp verb cli [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\node.exe’,
gyp verb cli
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\bin\node-gyp.js’,
gyp verb cli ‘rebuild’,
gyp verb cli ‘–verbose’,
gyp verb cli ‘–libsass_ext=’,
gyp verb cli ‘–libsass_cflags=’,
gyp verb cli ‘–libsass_ldflags=’,
gyp verb cli ‘–libsass_library=’ ]
gyp info using node-gyp@3.4.0
gyp info using node@8.16.2 | win32 | x64
gyp verb command rebuild
gyp verb command clean
gyp verb clean removing “build” directory
gyp verb command configure
gyp verb check python checking for Python executable “C:\Python27\python.exe” in the PATH
gyp verb which succeeded C:\Python27\python.exe C:\Python27\python.exe
gyp verb check python version C:\Python27\python.exe -c "import platform; print(platform.python_version());"
returned: “2.7.17\r\n”
gyp verb get node dir compiling against specified --nodedir dev files:
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb build dir attempting to create “build” dir:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\build
gyp verb build dir “build” dir needed to be created?
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\build
gyp verb build/config.gypi creating config file
gyp verb build/config.gypi writing out config file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\build\config.gypi
gyp verb config.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\config.gypi
gyp verb common.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass\common.gypi
gyp verb gyp gyp format was not specified; forcing “msvs”
gyp info spawn C:\Python27\python.exe
gyp info spawn args [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\gyp\gyp_main.py’,
gyp info spawn args ‘binding.gyp’,
gyp info spawn args ‘-f’,
gyp info spawn args ‘msvs’,
gyp info spawn args ‘-G’,
gyp info spawn args ‘msvs_version=auto’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-be3bv8.iz46j\node_modules\node-sass\build\config.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\addon.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\include\node\common.gypi’,
gyp info spawn args ‘-Dlibrary=shared_library’,
gyp info spawn args ‘-Dvisibility=default’,
gyp info spawn args
‘-Dnode_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle’,
gyp info spawn args
‘-Dnode_gyp_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp’,
gyp info spawn args ‘-Dnode_lib_file=node.lib’,
gyp info spawn args
‘-Dmodule_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-be3bv8.iz46j\node_modules\node-sass’,
gyp info spawn args ‘–depth=.’,
gyp info spawn args ‘–no-parallel’,
gyp info spawn args ‘–generator-output’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-be3bv8.iz46j\node_modules\node-sass\build’,
gyp info spawn args ‘-Goutput_dir=.’ ]
gyp verb command build
gyp verb build type Release
gyp verb architecture x64
gyp verb node dev dir
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb found first Solution file build/binding.sln
gyp verb could not find “msbuild.exe” in PATH - finding location in registry
gyp info spawn C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe
gyp info spawn args [ ‘build/binding.sln’,
gyp info spawn args ‘/nologo’,
gyp info spawn args ‘/p:Configuration=Release;Platform=x64’ ]
gyp ERR! build error
gyp ERR! stack Error: C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe failed with exit code: 1
gyp ERR! stack at ChildProcess.onExit
(C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\lib\build.js:276:23)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Windows_NT 10.0.18362
gyp ERR! command
“C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\node.exe”
“C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\bin\node-gyp.js”
“rebuild” “–verbose” “–libsass_ext=” “–libsass_cflags=” “–libsass_ldflags=” “–libsass_library=”
gyp ERR! cwd
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-be3bv8.iz46j\node_modules\node-sass
gyp ERR! node -v v8.16.2
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
Build failed with error code: 1
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! node-sass@3.13.0 postinstall: node scripts/build.js
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-sass@3.13.0 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\Rashad\AppData\Roaming\npm-cache_logs\2020-03-21T14_52_14_402Z-debug.log

=> Your application has errors. Waiting for file change.
Terminate batch job (Y/N)? Y
PS C:\Users\Gain Solutions LTD\Documents\uninite.com> npm i node-pre-gyp -g
C:\Users\Rashad\AppData\Roaming\npm\node-pre-gyp -> C:\Users\Rashad\AppData\Roaming\npm\node_modules\node-pre-gyp\bin\node-pre-gyp

  • node-pre-gyp@0.14.0
    added 66 packages from 25 contributors in 17.99s
    PS C:\Users\Gain Solutions LTD\Documents\uninite.com> npm config set python python3.8
    PS C:\Users\Gain Solutions LTD\Documents\uninite.com> npm -g install npm@next
    C:\Users\Rashad\AppData\Roaming\npm\npm -> C:\Users\Rashad\AppData\Roaming\npm\node_modules\npm\bin\npm-cli.js
    C:\Users\Rashad\AppData\Roaming\npm\npx -> C:\Users\Rashad\AppData\Roaming\npm\node_modules\npm\bin\npx-cli.js
  • npm@6.14.3
    added 13 packages from 6 contributors, removed 8 packages and updated 42 packages in 52.924s
    PS C:\Users\Gain Solutions LTD\Documents\uninite.com> meteor
    [[[[[ C:\Users\Gain Solutions LTD\Documents\uninite.com ]]]]]

=> Started proxy.
=> Meteor 1.9.3 is available. Update this project with ‘meteor update’.
=> Started MongoDB.
=> [HMR] Dev server listening on port 3003.
=> Errors prevented startup:

While loading package fourseven:scss@3.13.0:
error: Command failed: C:\WINDOWS\system32\cmd.exe /c
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\npm.cmd
rebuild --update-binary
Cannot download “https://github.com/sass/node-sass/releases/download/v3.13.0/win32-x64-57_binding.node”:

HTTP error 404 Not Found

Hint: If github.com is not accessible in your location
try setting a proxy via HTTP_PROXY, e.g.

export HTTP_PROXY=http://example.com:1234

or configure npm proxy via

npm config set proxy http://example.com:8080
gyp info it worked if it ends with ok
gyp verb cli [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\node.exe’,
gyp verb cli
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\bin\node-gyp.js’,
gyp verb cli ‘rebuild’,
gyp verb cli ‘–verbose’,
gyp verb cli ‘–libsass_ext=’,
gyp verb cli ‘–libsass_cflags=’,
gyp verb cli ‘–libsass_ldflags=’,
gyp verb cli ‘–libsass_library=’ ]
gyp info using node-gyp@3.4.0
gyp info using node@8.16.2 | win32 | x64
gyp verb command rebuild
gyp verb command clean
gyp verb clean removing “build” directory
gyp verb command configure
gyp verb check python checking for Python executable “C:\Python27\python.exe” in the PATH
gyp verb which succeeded C:\Python27\python.exe C:\Python27\python.exe
gyp verb check python version C:\Python27\python.exe -c "import platform; print(platform.python_version());"
returned: “2.7.17\r\n”
gyp verb get node dir compiling against specified --nodedir dev files:
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb build dir attempting to create “build” dir:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\build
gyp verb build dir “build” dir needed to be created?
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\build
gyp verb build/config.gypi creating config file
gyp verb build/config.gypi writing out config file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\build\config.gypi
gyp verb config.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\config.gypi
gyp verb common.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\common.gypi
gyp verb gyp gyp format was not specified; forcing “msvs”
gyp info spawn C:\Python27\python.exe
gyp info spawn args [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\gyp\gyp_main.py’,
gyp info spawn args ‘binding.gyp’,
gyp info spawn args ‘-f’,
gyp info spawn args ‘msvs’,
gyp info spawn args ‘-G’,
gyp info spawn args ‘msvs_version=auto’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-6qp8qf.lfs3c\node_modules\node-sass\build\config.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\addon.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\include\node\common.gypi’,
gyp info spawn args ‘-Dlibrary=shared_library’,
gyp info spawn args ‘-Dvisibility=default’,
gyp info spawn args
‘-Dnode_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle’,
gyp info spawn args
‘-Dnode_gyp_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp’,
gyp info spawn args ‘-Dnode_lib_file=node.lib’,
gyp info spawn args
‘-Dmodule_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-6qp8qf.lfs3c\node_modules\node-sass’,
gyp info spawn args ‘–depth=.’,
gyp info spawn args ‘–no-parallel’,
gyp info spawn args ‘–generator-output’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-6qp8qf.lfs3c\node_modules\node-sass\build’,
gyp info spawn args ‘-Goutput_dir=.’ ]
gyp verb command build
gyp verb build type Release
gyp verb architecture x64
gyp verb node dev dir
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb found first Solution file build/binding.sln
gyp verb could not find “msbuild.exe” in PATH - finding location in registry
gyp info spawn C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe
gyp info spawn args [ ‘build/binding.sln’,
gyp info spawn args ‘/nologo’,
gyp info spawn args ‘/p:Configuration=Release;Platform=x64’ ]
gyp ERR! build error
gyp ERR! stack Error: C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe failed with exit code: 1
gyp ERR! stack at ChildProcess.onExit
(C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\lib\build.js:276:23)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Windows_NT 10.0.18362
gyp ERR! command
“C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\node.exe”
“C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\bin\node-gyp.js”
“rebuild” “–verbose” “–libsass_ext=” “–libsass_cflags=” “–libsass_ldflags=” “–libsass_library=”
gyp ERR! cwd
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass
gyp ERR! node -v v8.16.2
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
Build failed with error code: 1
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! node-sass@3.13.0 postinstall: node scripts/build.js
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-sass@3.13.0 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\Rashad\AppData\Roaming\npm-cache_logs\2020-03-21T15_59_26_915Z-debug.log
Cannot download “https://github.com/sass/node-sass/releases/download/v3.13.0/win32-x64-57_binding.node”:

HTTP error 404 Not Found

Hint: If github.com is not accessible in your location
try setting a proxy via HTTP_PROXY, e.g.

export HTTP_PROXY=http://example.com:1234

or configure npm proxy via

npm config set proxy http://example.com:8080
gyp info it worked if it ends with ok
gyp verb cli [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\bin\node.exe’,
gyp verb cli
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\bin\node-gyp.js’,
gyp verb cli ‘rebuild’,
gyp verb cli ‘–verbose’,
gyp verb cli ‘–libsass_ext=’,
gyp verb cli ‘–libsass_cflags=’,
gyp verb cli ‘–libsass_ldflags=’,
gyp verb cli ‘–libsass_library=’ ]
gyp info using node-gyp@3.4.0
gyp info using node@8.16.2 | win32 | x64
gyp verb command rebuild
gyp verb command clean
gyp verb clean removing “build” directory
gyp verb command configure
gyp verb check python checking for Python executable “C:\Python27\python.exe” in the PATH
gyp verb which succeeded C:\Python27\python.exe C:\Python27\python.exe
gyp verb check python version C:\Python27\python.exe -c "import platform; print(platform.python_version());"
returned: “2.7.17\r\n”
gyp verb get node dir compiling against specified --nodedir dev files:
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb build dir attempting to create “build” dir:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\build
gyp verb build dir “build” dir needed to be created?
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\build
gyp verb build/config.gypi creating config file
gyp verb build/config.gypi writing out config file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\build\config.gypi
gyp verb config.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\config.gypi
gyp verb common.gypi checking for gypi file:
C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules.temp-6qp8qf.lfs3c\node_modules\node-sass\common.gypi
gyp verb gyp gyp format was not specified; forcing “msvs”
gyp info spawn C:\Python27\python.exe
gyp info spawn args [
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\gyp\gyp_main.py’,
gyp info spawn args ‘binding.gyp’,
gyp info spawn args ‘-f’,
gyp info spawn args ‘msvs’,
gyp info spawn args ‘-G’,
gyp info spawn args ‘msvs_version=auto’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-6qp8qf.lfs3c\node_modules\node-sass\build\config.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\addon.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle\include\node\common.gypi’,
gyp info spawn args ‘-Dlibrary=shared_library’,
gyp info spawn args ‘-Dvisibility=default’,
gyp info spawn args
‘-Dnode_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle’,
gyp info spawn args
‘-Dnode_gyp_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp’,
gyp info spawn args ‘-Dnode_lib_file=node.lib’,
gyp info spawn args
‘-Dmodule_root_dir=C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-6qp8qf.lfs3c\node_modules\node-sass’,
gyp info spawn args ‘–depth=.’,
gyp info spawn args ‘–no-parallel’,
gyp info spawn args ‘–generator-output’,
gyp info spawn args
‘C:\Users\Rashad\AppData\Local\.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\.temp-6qp8qf.lfs3c\node_modules\node-sass\build’,
gyp info spawn args ‘-Goutput_dir=.’ ]
gyp verb command build
gyp verb build type Release
gyp verb architecture x64
gyp verb node dev dir
C:\Users\Rashad\AppData\Local.meteor\packages\meteor-tool\1.8.2\mt-os.windows.x86_64\dev_bundle
gyp verb found first Solution file build/binding.sln
gyp verb could not find “msbuild.exe” in PATH - finding location in registry
gyp info spawn C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe
gyp info spawn args [ ‘build/binding.sln’,
gyp info spawn args ‘/nologo’,
gyp info spawn args ‘/p:Configuration=Release;Platform=x64’ ]
gyp ERR! build error
gyp ERR! stack Error: C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe failed with exit code: 1
gyp ERR! stack at ChildProcess.onExit
(C:\Users\Rashad\AppData\Local.meteor\packages\fourseven_scss\3.13.0\plugin.compileScssBatch.os\npm\node_modules\meteor\compileScssBatch\node_modules\node-gyp\lib\build.js:276:23)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Windows_NT 10.0.18362
gyp ERR! command

The error log says what’s wrong, and suggests a fix.

Cannot download “https://github.com/sass/node-sass/releases/download/v3.13.0/win32-x64-57_binding.node”:
HTTP error 404 Not Found

It seems like that file no longer exists. I’d guess you probably need a newer version of the library

I have tried it but same things happened.

Cross posting my answer elsewhere for reference

Okay, looks like the versions might just be incompatible, and can’t be worked around with manual compilation.

From your logs I can see that you are using Meteor 1.8.2, which uses Node 8.16.2
and you’re using fourseven:scss@3.13.0 which uses node-sass@3.13.0

Looking at the fourseven:scss version compatibility table:

Meteor Version Recommended fourseven:scss version
1.0 - 1.1 3.2.0
1.2 - 1.3.1 3.4.2
1.3.2+ 3.8.0_1
1.4.0 3.8.1
1.4.1+ 4.5.4
1.6+ 4.12.0

You should be using version 4.12.0


This corresponds with the compatibility table for node-sass as well:

NodeJS Minimum node-sass version Node Module ABI
Node 13 4.13+ 79
Node 12 4.12+ 72
Node 11 4.10+ 67
Node 10 4.9+ 64
Node 8 4.5.3+ 57

Since Meteor 1.8 uses Node 8, you need at least node-sass 4.5.3

I am using WSL in Windows 10. Makes it so much easier to get things running.

1 Like